Get applied preset object
curl --request GET \
--url https://api.gcore.com/cdn/presets/{preset_id}/applied/{object_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cdn/presets/{preset_id}/applied/{object_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/presets/{preset_id}/applied/{object_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"preset_id": 42,
"object_id": 7531
}Presets
Get applied preset object
Get a single object the preset is applied to.
Returns 404 if the preset is not applied to the object, so you can use this endpoint to check
whether the relationship exists.
GET
/
cdn
/
presets
/
{preset_id}
/
applied
/
{object_id}
Get applied preset object
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Preset ID.
ID of the object (CDN resource or rule) the preset is applied to.
Response
Successful.
A single object the preset is applied to.
Was this page helpful?